summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giorgio Peron <giorgio.peron@gmail.com>2023-12-29 20:28:38 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-12-29 20:48:32 +0700
commit577ed61c97c6ff42f5ca7290929e7acb3e8e23fd (patch)
tree557c3ac5e360ae4ced4eac0e74590a1cea0d9262
parent00dad57963eb77a1dc992cf59e2d7efe0b072c27 (diff)
downloadslackbuilds-577ed61c97c6ff42f5ca7290929e7acb3e8e23fd.tar.gz
slackbuilds-577ed61c97c6ff42f5ca7290929e7acb3e8e23fd.tar.xz
development/javafx-scenebuilder: Added (RAD IDE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/javafx-scenebuilder/README13
-rw-r--r--development/javafx-scenebuilder/doinst.sh13
-rw-r--r--development/javafx-scenebuilder/javafx-scenebuilder.SlackBuild92
-rw-r--r--development/javafx-scenebuilder/javafx-scenebuilder.info10
-rw-r--r--development/javafx-scenebuilder/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/development/javafx-scenebuilder/README b/development/javafx-scenebuilder/README
new file mode 100644
index 0000000000..4c8a821666
--- /dev/null
+++ b/development/javafx-scenebuilder/README
@@ -0,0 +1,13 @@
+The JavaFX Scene Builder Scene Builder works with the JavaFX ecosystem.
+Simple Drag & Drop user interface design allows for rapid iteration.
+Separation of design and logic files allows for team members to
+quickly and easily focus on their specific layer of application
+development.
+
+If the font in the GUI is too small, you can open the JAR file
+/opt/scenebuilder/lib/app/scenebuilder-X.Y.Z-all.jar
+and edit the file
+com/oracle/javafx/scenebuilder/kit/css/Base.css
+adding this line
+.root{ -fx-font-family: "Lato"; -fx-font-size: 16pt ; }
+where the font and size values are the preferred ones.
diff --git a/development/javafx-scenebuilder/doinst.sh b/development/javafx-scenebuilder/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/development/javafx-scenebuilder/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/javafx-scenebuilder/javafx-scenebuilder.SlackBuild b/development/javafx-scenebuilder/javafx-scenebuilder.SlackBuild
new file mode 100644
index 0000000000..947d44693a
--- /dev/null
+++ b/development/javafx-scenebuilder/javafx-scenebuilder.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/bash
+
+# Slackware build script for JavaFX SceneBuilder
+
+# Copyright 2023 Giorgio Peron <giorgio.peron@gmail.com>, Belluno, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=javafx-scenebuilder
+NAME=SceneBuilder
+PNAME=scenebuilder
+VERSION=${VERSION:-21.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+ar xvf $CWD/$NAME-$VERSION.deb
+cd $PKG
+tar xvf ../data.tar.xz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# manual installation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/applications
+cp $PKG/opt/$PNAME/lib/$PNAME-$NAME.desktop $PKG/usr/share/applications
+sed -i "s|Categories=\"Development;Building;GUIDesigner;Java;\"|Categories=Development;GTK|g" $PKG/usr/share/applications/$PNAME-$NAME.desktop
+mv $PKG/opt/$PNAME/share/doc/copyright $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/opt/$PNAME/share
+mkdir -p $PKG/usr/bin/
+cat > $PKG/usr/bin/$NAME <<EOF
+#!/bin/bash
+cd /opt/scenebuilder/bin
+./SceneBuilder
+EOF
+chmod +x $PKG/usr/bin/$NAME
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/javafx-scenebuilder/javafx-scenebuilder.info b/development/javafx-scenebuilder/javafx-scenebuilder.info
new file mode 100644
index 0000000000..f1e30ac77c
--- /dev/null
+++ b/development/javafx-scenebuilder/javafx-scenebuilder.info
@@ -0,0 +1,10 @@
+PRGNAM="javafx-scenebuilder"
+VERSION="21.0.0"
+HOMEPAGE="https://gluonhq.com/products/scene-builder/"
+DOWNLOAD="https://download2.gluonhq.com/scenebuilder/21.0.0/install/linux/SceneBuilder-21.0.0.deb"
+MD5SUM="1e4dc0b0b8ab349177f68c1929fe8d39"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="zulu-openjdk17"
+MAINTAINER="Giorgio Peron"
+EMAIL="giorgio.peron@gmail.com"
diff --git a/development/javafx-scenebuilder/slack-desc b/development/javafx-scenebuilder/slack-desc
new file mode 100644
index 0000000000..fbc31cf169
--- /dev/null
+++ b/development/javafx-scenebuilder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+javafx-scenebuilder: javafx-scenebuilder (JavaFX Scene Builder design tool)
+javafx-scenebuilder:
+javafx-scenebuilder: The JavaFX Scene Builder is a design tool for the JavaFX API.
+javafx-scenebuilder: Simple Drag & Drop user interface design allows for rapid iteration.
+javafx-scenebuilder:
+javafx-scenebuilder:
+javafx-scenebuilder: Homepage: https://gluonhq.com/products/scene-builder/
+javafx-scenebuilder:
+javafx-scenebuilder:
+javafx-scenebuilder:
+javafx-scenebuilder: